routes/web.php
<?php

use App\Http\Controllers\AdminBookingController;
use App\Http\Controllers\BookController;
use App\Http\Controllers\BookingAdminController;
use App\Http\Controllers\BookingController;
use App\Http\Controllers\BorrowController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\StudentBorrowController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// student start
    // home
    Route::get('/', [HomeController::class, 'index'])->name('home');
    Route::get('home/show/{id}', [HomeController::class, 'show'])->name('home.user.show');
    Route::get('studentborrow', [StudentBorrowController::class, 'index'])->name('studentborrow.index');

    // booking
    Route::resource('booking', BookingController::class);
// student end

// admin start
    // dashboard
    Route::get('dashboard', [DashboardController::class, 'index'])->name('dashboard')->middleware('is_admin');

    // buku
    Route::resource('book', BookController::class)->middleware('is_admin');

    // category
    Route::resource('category', CategoryController::class)->middleware('is_admin');

    // borrow
    Route::get('borrow/{any}', [BorrowController::class, 'index'])->name('borrow.index')->middleware('is_admin');
    Route::post('borrow/', [BorrowController::class, 'store'])->name('borrow.store')->middleware('is_admin');
    Route::get('borrow/{id}/edit', [BorrowController::class, 'edit'])->name('borrow.edit')->middleware('is_admin');
    Route::put('borrow/{id}', [BorrowController::class, 'update'])->name('borrow.update')->middleware('is_admin');
    Route::delete('borrow/{id}/{any}', [BorrowController::class, 'destroy'])->name('borrow.destroy')->middleware('is_admin');

    // booking admin
    Route::resource('adminbooking', AdminBookingController::class)->middleware('is_admin');
    Route::get('adminbooking/create/{id}', [AdminBookingController::class, 'create'])->name('adminbooking.create')->middleware('is_admin');

    //user
    Route::middleware('is_admin')->group(function() {
        Route::get('user/{any}', [UserController::class, 'index'])->name('user.index');
        Route::get('user/show/{id}', [UserController::class, 'show'])->name('user.show');
        Route::delete('user/{id}/{any}', [UserController::class, 'destroy'])->name('user.destroy');
        Route::put('user/{id}', [UserController::class, 'update'])->name('user.update');
    });
// admin end

Auth::routes();

app/Models/Booking.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Booking extends Model
{
    use HasFactory;
}

app/Http/Controllers/BookingController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class BookingController extends Controller
{
    public function __construct()
    {
        // memasang middleware kecuali untuk function show
        $this->middleware('auth')->except('show');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $bookings = DB::table('bookings')
            ->select('bookings.*', 'books.title as title', 'books.cover as cover', 'books.writer as writer')
            ->join('books', 'books.id', '=', 'bookings.book_id')
            ->where('user_id', Auth::id())
            ->where('is_confirmation_user', '0')
            ->orderBy('created_at', 'desc')
            ->get();

        return view('pages.student.booking.index', [
            'bookings' => $bookings,
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if (Auth::user()->is_confirmation == '0') {
            return redirect()->route('home')->with('pesan', 'Booking tidak bisa dilakukan. Akun anda belum dikonfirmasi oleh admin. Harap menunggu!');
        }

        // ambil data
        $data = [
            'book_id' => $request->book_id,
            'user_id' => Auth::id(),
            'created_at' => now(),
            'updated_at' => now(),
        ];

        // simpan data
        DB::table('bookings')->insert($data);

        // ambil data buku untuk dilakukan pengurangan stock
        $book = DB::table('books')
            ->where('id', $request->book_id)
            ->first();

        // kurangi stock
        $stock = $book->stock - 1;

        // update stock di table books
        DB::table('books')
            ->where('id', $request->book_id)
            ->update(['stock' => $stock]);

        return redirect()->route('booking.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        // ambil data buku-buku
        $book = DB::table('books')
            ->select('books.*', 'categories.name as name', 'categories.location as location', 'categories.floor as floor')
            ->join('categories', 'books.category_id', '=', 'categories.id')
            ->where('books.id', $id)
            ->first();

        return view('pages.student.booking.show', [
            'book' => $book,
        ]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        // update is_confirmation_user di table bookings
        DB::table('bookings')
            ->where('id', $id)
            ->update(['is_confirmation_user' => 1]);

        return redirect()->route('booking.index')->with('pesan', 'Konfirmasi booking berhasil');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        // ambil data booking untuk mendapatkan data buku yang di booking
        $booking = DB::table('bookings')
            ->where('id', $id)
            ->first();

        // ambil data buku untuk mengurangi stock
        $book = DB::table('books')
            ->where('id', $booking->book_id)
            ->first();

        // tambah stock
        $stock = $book->stock + 1;

        // update stock di table books
        DB::table('books')
            ->where('id', $booking->book_id)
            ->update(['stock' => $stock]);

        // hapus data booking
        DB::table('bookings')
            ->where('id', $id)
            ->delete();

        return redirect()->route('booking.index')->with('pesan', 'Hapus booking berhasil');
    }
}

resources/views/pages/admin/booking/create.blade.php
@extends('layouts.admin')

@section('title', 'PerpustakaanXYZ | Konfirmasi Booking')

@section('content')
<!-- Begin Page Content -->
<div class="container-fluid">

    {{-- breadcrumb --}}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ route('adminbooking.index') }}">Booking</a></li>
            <li class="breadcrumb-item active" aria-current="page">Buat Konfirmasi</li>
        </ol>
    </nav>

    {{-- content --}}
    <div class="card shadow-sm">
        <div class="container py-4">

            <!-- Page Heading -->
            <h1 class="h3 mb-4 text-gray-800 text-center font-weight-bold">Buat Konfirmasi</h1>

            <div class="row justify-content-center mb-4">

                <div class="col-md-10">

                    {{-- detail --}}
                    <div class="table-responsive mb-4">
                        <table class="table table-hover">
                            <tbody>
                                <tr>
                                    <th scope="row">Nama</th>
                                    <td>:</td>
                                    <td>
                                        <a href="{{ route('user.show', $booking->user_id) }}">
                                            {{ $booking->name }}
                                        </a>
                                    </td>
                                </tr>
                                <tr>
                                    <th scope="row">Buku</th>
                                    <td>:</td>
                                    <td>
                                        <a href="{{ route('book.show', $booking->book_id) }}">
                                            {{ $booking->title }}
                                        </a>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>

                    <div class="container border p-2">
                        <form action="{{ route('borrow.store') }}" method="post">
                            @csrf
                            <div class="form-group">
                                <label for="date_start">Tanggal Peminjaman</label>
                                <input type="date" class="form-control" id="date_start" name="date_start"
                                    value="{{ old('date_start') }}">
                                @error('date_start')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label for="date_end">Tanggal Pengembalian</label>
                                <input type="date" class="form-control" id="date_end" name="date_end"
                                    value="{{ old('date_end') }}">
                                @error('date_end')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <input type="hidden" name="booking_id" value="{{ $booking->id }}">
                            <button class="btn btn-success" type="submit">Konfirmasi</button>
                        </form>
                    </div>

                </div>

            </div>
        </div>

    </div>
    <!-- /.container-fluid -->
    @endsection

resources/views/pages/admin/booking/index.blade.php
@extends('layouts.admin')

@section('title', 'PerpustakaanXYZ | Peminjaman')

@section('content')
<!-- Begin Page Content -->
<div class="container-fluid">

    <!-- Page Heading -->
    <h1 class="h3 mb-4 text-gray-800">Konfirmasi Pinjaman</h1>

    {{-- content --}}
    <div class="card shadow-sm">
        <div class="container py-4">

            {{-- pesan --}}
            @if (session()->has('pesan'))
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                {{ session()->get('pesan') }}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            @endif

            {{-- table --}}
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Nama</th>
                            <th scope="col">Buku</th>
                            <th scope="col">Tanggal Booking</th>
                            <th scope="col">Aksi</th>
                        </tr>
                    </thead>
                    <tbody>

                        @forelse ($bookings as $booking)
                        <tr>
                            <th scope="row">{{ $loop->iteration }}</th>
                            <td>{{ $booking->name }}</td>
                            <td>{{ $booking->title }}</td>
                            <td>{{ date('d M Y', strtotime($booking->created_at)) }}</td>
                            <td class="text-center">

                                {{-- read --}}
                                <a href="{{ route('adminbooking.create', $booking->id) }}" class="btn btn-success mr-2"
                                    title="Buat Konfirmasi">
                                    <i class="fas fa-check"></i>
                                </a>

                                <!-- button delete modal -->
                                <button type="button" class="btn btn-danger btn-delete" data-toggle="modal"
                                    data-target="#deleteModalKonfirmasiPinjaman" data-id={{ $booking->id }}
                                    title="Hapus">
                                    <i class="fas fa-trash"></i>
                                </button>

                            </td>
                        </tr>
                        @empty
                        <tr class="text-center">
                            <td colspan="5">Data tidak ditemukan</td>
                        </tr>
                        @endforelse

                    </tbody>
                </table>
            </div>

        </div>
    </div>

</div>
<!-- /.container-fluid -->
@endsection

{{-- melampirkan push deleteModal --}}
@include('includes.deleteModal2')

{{-- melampirkan push css dan js datatables --}}
@include('includes.datatables')